<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="card mb-2">
                <div id="db-form-header"
                     class="card-header h6"
                     data-toggle="collapse"
                     href="#db-form-container"
                     aria-expanded="<?php if($valid_credentials): ?> false <?php else: ?> true <?php endif; ?>"
                >
                    <span id="credential-status">
                       <?php if($valid_credentials === null): ?>
                            <i class="fa-solid fa-lg fa-square-question text-muted"></i>
                        <?php elseif($valid_credentials): ?>
                            <i class="fa-solid fa-lg fa-square-check  text-success"></i>
                        <?php else: ?>
                            <i class="fa-solid fa-lg fa-rectangle-xmark text-danger"></i>
                        <?php endif; ?>
                    </span>
                    <?php echo e(__('install.database.credentials')); ?>

                    <span class="float-right"><i class="fa-solid fa-lg fa-chevron-down rotate-if-collapsed"></i></span>
                </div>
                <div id="db-form-container" class="card-body collapse <?php if(!$valid_credentials): ?> show <?php endif; ?>">
                    <form id="database-form" class="form-horizontal" role="form" method="post" action="<?php echo e(route('install.acton.test-database')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="form-row pb-3">
                            <label for="host" class="col-4 col-form-label text-right"><?php echo e(__('install.database.host')); ?></label>
                            <div class="col-6">
                                <input type="text" class="form-control" name="host" id="host" value="<?php echo e($host ?? 'localhost'); ?>" placeholder="<?php echo e(__('install.database.host_placeholder')); ?>">
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <label for="port" class="col-4 col-form-label text-right"><?php echo e(__('install.database.port')); ?></label>
                            <div class="col-6">
                                <input type="text" class="form-control" name="port" id="port" value="<?php echo e($port ?? 3306); ?>" placeholder="<?php echo e(__('install.database.port_placeholder')); ?>">
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <label for="unix_socket" class="col-4 col-form-label text-right"><?php echo e(__('install.database.socket')); ?></label>
                            <div class="col-6">
                                <input type="text" class="form-control" name="unix_socket" id="unix_socket" value="<?php echo e($unix_socket ?? ''); ?>" placeholder="<?php echo e(__('install.database.socket_placeholder')); ?>">
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <label for="username" class="col-4 col-form-label text-right"><?php echo e(__('install.database.username')); ?></label>
                            <div class="col-6">
                                <input type="text" class="form-control" name="username" id="username" value="<?php echo e($username ?? 'librenms'); ?>">
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <label for="password" class="col-4 col-form-label text-right"><?php echo e(__('install.database.password')); ?></label>
                            <div class="col-6">
                                <input type="password" class="form-control" name="password" id="password" value="<?php echo e($password ?? ''); ?>">
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <label for="database" class="col-4 col-form-label text-right"><?php echo e(__('install.database.name')); ?></label>
                            <div class="col-6">
                                <input type="text" class="form-control" name="database" id="database" value="<?php echo e($database ?? 'librenms'); ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <button type="submit" class="btn btn-primary float-right"><?php echo e(__('install.database.test')); ?></button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div id="migrate-step" class="row" <?php if(!$valid_credentials): ?> style="display: none" <?php endif; ?>>
        <div class="col-12">
            <div class="card">
                <div id="db-form-header"
                     class="card-header h6"
                     data-toggle="collapse"
                     href="#migrate-container"
                     aria-expanded="<?php if($migrated): ?> false <?php else: ?> true <?php endif; ?>"
                >
                    <span id="migrate-status">
                        <?php if($migrated === null): ?>
                            <i class="fa-solid fa-lg fa-square-question text-muted"></i>
                        <?php elseif($migrated): ?>
                            <i class="fa-solid fa-lg fa-square-check  text-success"></i>
                        <?php else: ?>
                            <i class="fa-solid fa-lg fa-rectangle-xmark text-danger"></i>
                        <?php endif; ?>
                    </span>
                    <?php echo e(__('install.migrate.migrate')); ?>

                    <span class="float-right"><i class="fa-solid fa-lg fa-chevron-down rotate-if-collapsed"></i></span>
                </div>
                <div id="migrate-container" class="card-body collapse <?php if(!$migrated): ?> show <?php endif; ?>">
                    <div class="row">
                        <div class="col-md-8">
                            <div id="migrate-warning" class="alert alert-warning"><?php echo e(__('install.migrate.building_interrupt')); ?></div>
                        </div>
                        <div class="col-md-4 text-right">
                            <button id="migrate-btn" type="button" class="btn btn-primary mt-1 mb-4">
                                <?php echo e(__('install.migrate.migrate')); ?>

                            </button>
                        </div>
                    </div>
                    <textarea readonly id="db-update" class="form-control" rows="20" placeholder="<?php echo e(__('install.migrate.wait')); ?>" style="display: none;"></textarea>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        $('#database-form').on("submit", function (event) {
            event.preventDefault();
            $('#credential-status>i').attr('class', 'fa-solid fa-lg fa-spinner fa-spin');
            $('#error-box').empty();

            $.ajax({
                type: 'POST',
                dataType: "json",
                url: $('#database-form').attr('action'),
                data: $('#database-form').serialize(),
                success: function (response) {
                    if (response.result === 'ok') {
                        $('#credential-status>i').attr('class', 'fa-solid fa-lg fa-square-check text-success');
                        $('#migrate-step').show();
                        $('#db-form-container').collapse('hide')
                    } else {
                        $('#credential-status>i').attr('class', 'fa-solid fa-lg fa-rectangle-xmark text-danger')
                        if (response.message) {
                            $('#error-box').append($('<div class="alert alert-danger">' + response.message + '</div>'))
                        }
                    }
                    checkStepStatus();
                },
            });
        });

        $('#migrate-btn').on("click", function () {
            $('#migrate-warning').show()
            $('#db-update').show()
            $('#migrate-status>i').attr('class', 'fa-solid fa-lg fa-spinner fa-spin');
            $('#error-box').empty();
            $('#migrate-btn').prop('disabled', true).addClass('disabled')

            var output = document.getElementById("db-update");
            var xhr = new XMLHttpRequest();
            xhr.open("GET", "<?php echo e(route('install.action.migrate')); ?>", true);
            xhr.setRequestHeader('X-Requested-With', 'XMLHttpRequest');
            xhr.withCredentials = true;
            xhr.onprogress = function (e) {
                output.innerHTML = e.currentTarget.responseText;
                output.scrollTop = output.scrollHeight - output.clientHeight; // scrolls the output area
                if (output.innerHTML.indexOf('Error!') !== -1) {
                    // if error word in output, show the retry button
                    $('#migrate-warning').hide();
                    $('#migrate-status>i').attr('class', 'fa-solid fa-lg fa-rectangle-xmark text-danger')
                    $('#migrate-btn').prop('disabled', false).removeClass('disabled').text('<?php echo e(__('install.migrate.retry')); ?>')
                    $('#error-box').append($('<div class="alert alert-danger"><?php echo e(__('install.migrate.error')); ?></div>'));
                }
            };
            xhr.timeout = 240000; // if no response for 4m, allow the user to retry
            xhr.ontimeout = function (e) {
                $('#migrate-warning').hide();
                $('#error-box').append($('<div class="alert alert-danger"><?php echo e(__('install.migrate.timeout')); ?></div>'));
            };
            xhr.onreadystatechange = function () {
                if (xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                    $('#migrate-warning').hide();
                    checkStepStatus(function (status) {
                        if (status.database.complete) {
                            $('#migrate-status>i').attr('class', 'fa-solid fa-lg fa-square-check  text-success');
                            $('#migrate-container').collapse('hide');
                        }
                    });
                }
            };
            xhr.send();
        });
    </script>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
    <style type="text/css">
        #db-update {
            resize: vertical;
        }
        #migrate-warning {
            display: none;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.install', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/install/database.blade.php ENDPATH**/ ?>